/*
   Doom Editor Utility, by Brendon Wyber and Raphal Quinet.
   
   You are allowed to use any parts of this code in another program, as
   long as you give credits to the authors in the documentation and in
   the program itself.  Read the file README.1ST for more information.
   
   This program comes with absolutely no warranty.
   
   LEVELS.H - Level data definitions.
   */

/* the includes */
#include "struct_h.h"

/* the external variables from levels.c */
extern MDirPtr Level;		/* master dictionary entry for the level */

extern BCINT	NumThings;		/* number of things */
extern TPtr  	Things;		/* things data */
extern BCINT	NumLineDefs;	/* number of line defs */
extern LDPtr	LineDefs;		/* line defs data */
extern BCINT	NumSideDefs;	/* number of side defs */
extern SDPtr	SideDefs;		/* side defs data */
extern BCINT	NumVertexes;	/* number of vertexes */
extern VPtr		Vertexes;		/* vertex data */
extern BCINT	NumSegs;		/* number of segments */
extern SEPtr	Segs;		/* list of segments */
extern SEPtr	LastSeg;		/* last segment in the list */
extern BCINT	NumSSectors;	/* number of subsectors */
extern SSPtr	SSectors;		/* list of subsectors */
extern SSPtr	LastSSector;	/* last subsector in the list */
extern BCINT	NumSectors;	/* number of sectors */
extern SPtr		Sectors;		/* sectors data */
extern BCINT	NumWTexture;	/* number of wall textures */
extern char		**WTexture;	/* array of wall texture names */
extern BCINT	NumFTexture;	/* number of floor/ceiling textures */
extern char		**FTexture;	/* array of texture names */

extern BCINT	MapMaxX;		/* maximum X value of map */
extern BCINT	MapMaxY;		/* maximum Y value of map */
extern BCINT	MapMinX;		/* minimum X value of map */
extern BCINT	MapMinY;		/* minimum Y value of map */

extern Bool		MadeChanges;	/* made changes? */
extern Bool		MadeMapChanges;	/* made changes that need rebuilding? */


/* from deu.c */
extern char  DefaultWallTexture[9];
extern char  DefaultUpperTexture[9];
extern char  DefaultLowerTexture[9];
extern char  DefaultFloorTexture[9];
extern char  DefaultCeilingTexture[9];
extern BCINT DefaultLighting;
extern BCINT DefaultFloorHeight;
extern BCINT DefaultCeilingHeight;

extern char  DefaultDoorBase[9];
extern char  DefaultDoorTrack[9];
extern char  DefaultDoorTexture[9];

extern char  DefaultUpperStepTexture[9];
extern char  DefaultLowerStepTexture[9];

extern TeleportPrefab DefaultTeleport;
extern TeleportPrefab DefaultTeleDest;

extern char	 DefaultPlatTexture[9];

extern Bool		UseOffset;
extern BCINT	NoChecking;

extern int BehaviorSize;
extern BPtr Behavior;
extern int ScriptsSize;
extern char *Scripts;
